
<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
        <link rel="canonical" href="https://autovtools.gitlab.io/autovrtfm/setup/configure/">
      
      
        <link rel="prev" href="../install/">
      
      
        <link rel="next" href="../local/">
      
      
      <link rel="icon" href="../../assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.5.3, mkdocs-material-9.4.6">
    
    
      
        <title>Configure - autovnet</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/main.35e1ed30.min.css">
      
        
        <link rel="stylesheet" href="../../assets/stylesheets/palette.356b1318.min.css">
      
      


    
    
      
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
      <link rel="stylesheet" href="../../stylesheets/extra.css">
    
    <script>__md_scope=new URL("../..",location),__md_hash=e=>[...e].reduce((e,_)=>(e<<5)-e+_.charCodeAt(0),0),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
    
  </head>
  
  
    
    
      
    
    
    
    
    <body dir="ltr" data-md-color-scheme="slate" data-md-color-primary="indigo" data-md-color-accent="indigo">
  
    
    
      <script>var palette=__md_get("__palette");if(palette&&"object"==typeof palette.color)for(var key of Object.keys(palette.color))document.body.setAttribute("data-md-color-"+key,palette.color[key])</script>
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#setup" class="md-skip">
          Skip to content
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

  

<header class="md-header md-header--shadow md-header--lifted" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href="https://gitlab.com/autovtools/autovrtfm/autovnet" title="autovnet" class="md-header__button md-logo" aria-label="autovnet" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54Z"/></svg>

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            autovnet
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Configure
            
          </span>
        </div>
      </div>
    </div>
    
      
        <form class="md-header__option" data-md-component="palette">
  
    
    
    
    <input class="md-option" data-md-color-media="" data-md-color-scheme="slate" data-md-color-primary="indigo" data-md-color-accent="indigo"  aria-label="Switch to light mode"  type="radio" name="__palette" id="__palette_1">
    
      <label class="md-header__button md-icon" title="Switch to light mode" for="__palette_2" hidden>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17 7H7a5 5 0 0 0-5 5 5 5 0 0 0 5 5h10a5 5 0 0 0 5-5 5 5 0 0 0-5-5m0 8a3 3 0 0 1-3-3 3 3 0 0 1 3-3 3 3 0 0 1 3 3 3 3 0 0 1-3 3Z"/></svg>
      </label>
    
  
    
    
    
    <input class="md-option" data-md-color-media="" data-md-color-scheme="default" data-md-color-primary="indigo" data-md-color-accent="indigo"  aria-label="Switch to dark mode"  type="radio" name="__palette" id="__palette_2">
    
      <label class="md-header__button md-icon" title="Switch to dark mode" for="__palette_1" hidden>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17 6H7c-3.31 0-6 2.69-6 6s2.69 6 6 6h10c3.31 0 6-2.69 6-6s-2.69-6-6-6zm0 10H7c-2.21 0-4-1.79-4-4s1.79-4 4-4h10c2.21 0 4 1.79 4 4s-1.79 4-4 4zM7 9c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"/></svg>
      </label>
    
  
</form>
      
    
    
    
      <label class="md-header__button md-icon" for="__search">
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Search" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" title="Clear" aria-label="Clear" tabindex="-1">
          
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
        <div class="md-search__suggest" data-md-component="search-suggest"></div>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list" role="presentation"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
      <div class="md-header__source">
        <a href="https://gitlab.com/autovtools/autovrtfm/autovnet" title="Go to repository" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2023 Fonticons, Inc.--><path d="M439.55 236.05 244 40.45a28.87 28.87 0 0 0-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 0 0 0 40.81l195.61 195.6a28.86 28.86 0 0 0 40.8 0l194.69-194.69a28.86 28.86 0 0 0 0-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
      </div>
    
  </nav>
  
    
      
<nav class="md-tabs" aria-label="Tabs" data-md-component="tabs">
  <div class="md-grid">
    <ul class="md-tabs__list">
      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../.." class="md-tabs__link">
          
  
  Home

        </a>
      </li>
    
  

      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../../rtfm/" class="md-tabs__link">
          
  
  RTFM

        </a>
      </li>
    
  

      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../../demo/" class="md-tabs__link">
          
  
  Demo

        </a>
      </li>
    
  

      
        
  
  
    
  
  
    
    
      <li class="md-tabs__item md-tabs__item--active">
        <a href="../" class="md-tabs__link">
          
  
  Setup

        </a>
      </li>
    
  

      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../../usage/" class="md-tabs__link">
          
  
  Usage

        </a>
      </li>
    
  

      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../../usage/help/" class="md-tabs__link">
          
  
  Reference

        </a>
      </li>
    
  

      
        
  
  
  
    
    
      <li class="md-tabs__item">
        <a href="../../resources/faq/" class="md-tabs__link">
          
  
  Resources

        </a>
      </li>
    
  

      
    </ul>
  </div>
</nav>
    
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


  


  

<nav class="md-nav md-nav--primary md-nav--lifted md-nav--integrated" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="https://gitlab.com/autovtools/autovrtfm/autovnet" title="autovnet" class="md-nav__button md-logo" aria-label="autovnet" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54Z"/></svg>

    </a>
    autovnet
  </label>
  
    <div class="md-nav__source">
      <a href="https://gitlab.com/autovtools/autovrtfm/autovnet" title="Go to repository" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2023 Fonticons, Inc.--><path d="M439.55 236.05 244 40.45a28.87 28.87 0 0 0-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 0 0 0 40.81l195.61 195.6a28.86 28.86 0 0 0 40.8 0l194.69-194.69a28.86 28.86 0 0 0 0-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    GitLab
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_1" >
        
          
          <label class="md-nav__link" for="__nav_1" id="__nav_1_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Home
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_1_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_1">
            <span class="md-nav__icon md-icon"></span>
            Home
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../.." class="md-nav__link">
        
  
  <span class="md-ellipsis">
    autovnet
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_2" >
        
          
          <label class="md-nav__link" for="__nav_2" id="__nav_2_label" tabindex="">
            
  
  <span class="md-ellipsis">
    RTFM
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_2_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_2">
            <span class="md-nav__icon md-icon"></span>
            RTFM
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../rtfm/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    RTFM
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../rtfm/paradigm/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Paradigm
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../rtfm/autovnet/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    autovnet
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../rtfm/goals/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Goals
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_3" >
        
          
          <label class="md-nav__link" for="__nav_3" id="__nav_3_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Demo
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_3_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_3">
            <span class="md-nav__icon md-icon"></span>
            Demo
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../demo/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Demo
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../demo/proxy/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Proxy
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../demo/callback/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Callback
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
    
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--active md-nav__item--section md-nav__item--nested">
      
        
        
        
        <input class="md-nav__toggle md-toggle " type="checkbox" id="__nav_4" checked>
        
          
          <label class="md-nav__link" for="__nav_4" id="__nav_4_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Setup
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_4_label" aria-expanded="true">
          <label class="md-nav__title" for="__nav_4">
            <span class="md-nav__icon md-icon"></span>
            Setup
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Quick Start
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../network/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Network Design
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../install/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Install
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" type="checkbox" id="__toc">
      
      
        
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          
  
  <span class="md-ellipsis">
    Configure
  </span>
  

          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        
  
  <span class="md-ellipsis">
    Configure
  </span>
  

      </a>
      
        

<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#network-setup-topolgy" class="md-nav__link">
    Network Setup / Topolgy
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#autovnet" class="md-nav__link">
    ~/.autovnet
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#server" class="md-nav__link">
    Server
  </a>
  
    <nav class="md-nav" aria-label="Server">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#generate-config" class="md-nav__link">
    Generate Config
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#install-service" class="md-nav__link">
    Install Service
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#test-server-install" class="md-nav__link">
    Test Server Install
  </a>
  
    <nav class="md-nav" aria-label="Test Server Install">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#re-generating-config" class="md-nav__link">
    Re-Generating Config
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
        
          <li class="md-nav__item">
  <a href="#export-the-config" class="md-nav__link">
    Export the Config
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#client" class="md-nav__link">
    Client
  </a>
  
    <nav class="md-nav" aria-label="Client">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#test-client-install" class="md-nav__link">
    Test Client Install
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../local/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Local Install
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5" >
        
          
          <label class="md-nav__link" for="__nav_5" id="__nav_5_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Usage
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_5_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5">
            <span class="md-nav__icon md-icon"></span>
            Usage
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Usage
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    
    
    
    
    
    <li class="md-nav__item md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5_2" >
        
          
          <label class="md-nav__link" for="__nav_5_2" id="__nav_5_2_label" tabindex="0">
            
  
  <span class="md-ellipsis">
    RDN
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="2" aria-labelledby="__nav_5_2_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5_2">
            <span class="md-nav__icon md-icon"></span>
            RDN
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rdn/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    RDN
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rdn/proxy/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Proxy
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rdn/listen/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Listen
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rdn/tun/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Tun
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rdn/dns/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    DNS
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

              
            
              
                
  
  
  
    
    
    
    
    
    <li class="md-nav__item md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5_3" >
        
          
          <label class="md-nav__link" for="__nav_5_3" id="__nav_5_3_label" tabindex="0">
            
  
  <span class="md-ellipsis">
    RTFM
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="2" aria-labelledby="__nav_5_3_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5_3">
            <span class="md-nav__icon md-icon"></span>
            RTFM
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rtfm/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    RTFM
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rtfm/apt/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    APT
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/rtfm/pasta/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Pasta
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

              
            
              
                
  
  
  
    
    
    
    
    
    <li class="md-nav__item md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5_4" >
        
          
          <label class="md-nav__link" for="__nav_5_4" id="__nav_5_4_label" tabindex="0">
            
  
  <span class="md-ellipsis">
    Pwn
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="2" aria-labelledby="__nav_5_4_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5_4">
            <span class="md-nav__icon md-icon"></span>
            Pwn
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    pwn
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/share/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    File Hosting
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/pwncat/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    pwncat
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/winrm/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    evil-winrm
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/metasploit/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    metasploit
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/merlin/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    merlin
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/sliver/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    sliver
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/pwn/ligolo_ng/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    ligolo-ng
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

              
            
              
                
  
  
  
    
    
    
    
    
    <li class="md-nav__item md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5_5" >
        
          
          <label class="md-nav__link" for="__nav_5_5" id="__nav_5_5_label" tabindex="0">
            
  
  <span class="md-ellipsis">
    Collaboration
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="2" aria-labelledby="__nav_5_5_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5_5">
            <span class="md-nav__icon md-icon"></span>
            Collaboration
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Collaboration
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/svc/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Services
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/fs/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Shared Directories
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/vnc/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Screen Sharing
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/hedgedoc/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Shared Notes
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/msfdb/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    msfdb
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/gitea/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    gitea
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/focalboard/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    focalboard
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/drawio/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    drawio
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/cyberchef/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    cyberchef
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/matrix/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    matrix
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/nextcloud/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    nextcloud
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/collaboration/owncast/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    owncast
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

              
            
              
                
  
  
  
    
    
    
    
    
    <li class="md-nav__item md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_5_6" >
        
          
          <label class="md-nav__link" for="__nav_5_6" id="__nav_5_6_label" tabindex="0">
            
  
  <span class="md-ellipsis">
    Util
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="2" aria-labelledby="__nav_5_6_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_5_6">
            <span class="md-nav__icon md-icon"></span>
            Util
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/util/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    util
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/util/tmp/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    tmp
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_6" >
        
          
          <label class="md-nav__link" for="__nav_6" id="__nav_6_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Reference
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_6_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_6">
            <span class="md-nav__icon md-icon"></span>
            Reference
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../usage/help/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    autovnet
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
      
      
  
  
  
    
    
    
    
    
      
      
    
    <li class="md-nav__item md-nav__item--section md-nav__item--nested">
      
        
        
        
          
        
        <input class="md-nav__toggle md-toggle md-toggle--indeterminate" type="checkbox" id="__nav_7" >
        
          
          <label class="md-nav__link" for="__nav_7" id="__nav_7_label" tabindex="">
            
  
  <span class="md-ellipsis">
    Resources
  </span>
  

            <span class="md-nav__icon md-icon"></span>
          </label>
        
        <nav class="md-nav" data-md-level="1" aria-labelledby="__nav_7_label" aria-expanded="false">
          <label class="md-nav__title" for="__nav_7">
            <span class="md-nav__icon md-icon"></span>
            Resources
          </label>
          <ul class="md-nav__list" data-md-scrollfix>
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../resources/faq/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    FAQ
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../resources/troubleshooting/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Troubleshooting
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../resources/changelog/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    Changelog
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../resources/wild/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    In The Wild
  </span>
  

      </a>
    </li>
  

              
            
              
                
  
  
  
    <li class="md-nav__item">
      <a href="../../resources/refs/" class="md-nav__link">
        
  
  <span class="md-ellipsis">
    References
  </span>
  

      </a>
    </li>
  

              
            
          </ul>
        </nav>
      
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
          
          
            <div class="md-content" data-md-component="content">
              <article class="md-content__inner md-typeset">
                
                  

  
  


<div class="toc">
<ul>
<li><a href="#setup">Setup</a><ul>
<li><a href="#network-setup-topolgy">Network Setup / Topolgy</a></li>
<li><a href="#autovnet">~/.autovnet</a></li>
<li><a href="#server">Server</a><ul>
<li><a href="#generate-config">Generate Config</a></li>
<li><a href="#install-service">Install Service</a></li>
<li><a href="#test-server-install">Test Server Install</a><ul>
<li><a href="#re-generating-config">Re-Generating Config</a></li>
</ul>
</li>
<li><a href="#export-the-config">Export the Config</a></li>
</ul>
</li>
<li><a href="#client">Client</a><ul>
<li><a href="#test-client-install">Test Client Install</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<h1 id="setup">Setup<a class="headerlink" href="#setup" title="Permanent link">&para;</a></h1>
<p>Once you have <code>autovnet</code> installed on your <em>autovnet server</em> and at least one <em>autovnet client</em>, then you are ready for this guide.</p>
<h2 id="network-setup-topolgy">Network Setup / Topolgy<a class="headerlink" href="#network-setup-topolgy" title="Permanent link">&para;</a></h2>
<p>If you are a network admin deploying the <code>autovnet</code> server:</p>
<ol>
<li>
<p>You need to have a reasonable network topology (e.g. separate Blue and Red systems that talk to each other through a central router)</p>
</li>
<li>
<p>You need to make a few, tiny, easy configuration changes to your central router.</p>
</li>
<li>
<p>You're the network admin; you can do this!</p>
</li>
<li>We believe in you!</li>
</ol>
<p>To understand what you need to do and what the desired end state is, see the <a href="../../rtfm/autovnet/"><code>autovnet</code> overview</a>
and the <a href="../network/">detailed topology examples</a></p>
<p>This guide assumes your network topology is something like this:
<img alt="deployment.svg" src="../../img/deployment.svg" /></p>
<p><strong>Remember, you must add the static firewall route and firewall rules to allow Red &lt;-&gt; Blue traffic</strong></p>
<p><strong>Also remember to ensure traffic to / from the simulated network block is allowed by your rules</strong></p>
<h2 id="autovnet"><code>~/.autovnet</code><a class="headerlink" href="#autovnet" title="Permanent link">&para;</a></h2>
<p>All configuration options used by <code>autovnet</code> will be stored under your home directory, at <code>~/.autovnet/</code>.</p>
<p>This directory includes the authentication information that <em>autovnet clients</em> use to authenticate to the <em>autovnet server</em></p>
<ul>
<li>Keep these secret (shared only with Red Team)</li>
<li>All Red Team players use the same config / credentials</li>
<li>The config / credentials are randomly generated by the <em>autovnet server</em> so they will change for every exercise</li>
</ul>
<h2 id="server">Server<a class="headerlink" href="#server" title="Permanent link">&para;</a></h2>
<h3 id="generate-config">Generate Config<a class="headerlink" href="#generate-config" title="Permanent link">&para;</a></h3>
<p>Choose the network CIDR block you would like to assign to the <em>autovnet server</em>.</p>
<p><strong>Remember, this CIDR block must not be in use in your current topology</strong></p>
<p>It should also be <strong>big</strong>.</p>
<p>This guide uses <code>100.64.0.0/10</code>, which is an absolutely massive block of over <strong>4 million IPs</strong>.</p>
<ul>
<li>You can use <code>autovnet</code> with a much smaller range, but in general, the number of available IPs needs to be <em>much</em> larger than the number of active Red Teamers</li>
<li>Basically, the bigger the better - there is no performance penalty for using a larger CIDR block</li>
<li>Using an "invalid" IP block also reduces the risk of conflicts with home networks or other parts of your network topology</li>
</ul>
<p>You might be thinking:</p>
<blockquote>
<p>But <code>100.64.0.0/10</code> is <a href="https://en.wikipedia.org/wiki/Carrier-grade_NAT">reserved</a> by <a href="https://en.wikipedia.org/wiki/Internet_Assigned_Numbers_Authority">IANA</a> <a href="https://en.wikipedia.org/wiki/Carrier-grade_NAT">for CGNAT</a></p>
</blockquote>
<p>Don't worry, the internet police literally can't stop us.</p>
<ul>
<li>But seriously, these IP addresses will only be used within your game network, which you control - so they should work fine</li>
</ul>
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>autovnet<span class="w"> </span>config<span class="w"> </span>init<span class="w"> </span>-n<span class="w"> </span><span class="m">100</span>.64.0.0/10

<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Generating<span class="w"> </span><span class="nv">$HOME</span>/.autovnet/id_rsa
Generating<span class="w"> </span>public/private<span class="w"> </span>rsa<span class="w"> </span>key<span class="w"> </span>pair.
Your<span class="w"> </span>identification<span class="w"> </span>has<span class="w"> </span>been<span class="w"> </span>saved<span class="w"> </span><span class="k">in</span><span class="w"> </span><span class="nv">$HOME</span>/.autovnet/id_rsa
Your<span class="w"> </span>public<span class="w"> </span>key<span class="w"> </span>has<span class="w"> </span>been<span class="w"> </span>saved<span class="w"> </span><span class="k">in</span><span class="w"> </span><span class="nv">$HOME</span>/.autovnet/id_rsa.pub
The<span class="w"> </span>key<span class="w"> </span>fingerprint<span class="w"> </span>is:
SHA256:CN7S2909nK6RT1tjrg7+Nn9eLtIxn/mwaxb6VRierGk
The<span class="w"> </span>key<span class="err">&#39;</span>s<span class="w"> </span>randomart<span class="w"> </span>image<span class="w"> </span>is:
+---<span class="o">[</span>RSA<span class="w"> </span><span class="m">3072</span><span class="o">]</span>----+
<span class="p">|</span><span class="w">                 </span><span class="p">|</span>
<span class="p">|</span><span class="w">                 </span><span class="p">|</span>
<span class="p">|</span><span class="w">    </span>.<span class="w">         </span>.<span class="w">  </span><span class="p">|</span>
<span class="p">|</span><span class="w">   </span>.<span class="w"> </span>+<span class="w"> </span>.<span class="w">     </span>o<span class="w"> </span>+<span class="w"> </span><span class="p">|</span>
<span class="p">|</span><span class="w">    </span>o<span class="w"> </span>+<span class="w"> </span><span class="nv">S</span><span class="w">     </span><span class="o">=</span><span class="w"> </span>.<span class="p">|</span>
<span class="p">|</span><span class="w">     </span>.<span class="w"> </span>o<span class="w"> </span>.<span class="w"> </span>.<span class="w"> </span>*+..<span class="p">|</span>
<span class="p">|</span><span class="w">      </span>.<span class="w"> </span>.<span class="w"> </span>..EoBB*<span class="p">|</span>
<span class="p">|</span><span class="w">          </span>..+BB@<span class="o">=</span><span class="p">|</span>
<span class="p">|</span><span class="w">           </span>.<span class="o">=</span>X@**<span class="p">|</span>
+----<span class="o">[</span>SHA256<span class="o">]</span>-----+
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Intialized<span class="w"> </span><span class="nv">$HOME</span>/.autovnet
</code></pre></div>
<h3 id="install-service">Install Service<a class="headerlink" href="#install-service" title="Permanent link">&para;</a></h3>
<p>Currently, an internet connection is required.</p>
<p>Your installation can take several minutes to become usable, as the necessary server components need to be built on the first execution.</p>
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>autovnet<span class="w"> </span>rtfm<span class="w"> </span>server<span class="w"> </span>install
Created<span class="w"> </span>symlink<span class="w"> </span>/etc/systemd/system/multi-user.target.wants/autovnet.service<span class="w"> </span>→<span class="w"> </span>/etc/systemd/system/autovnet.service.

<span class="c1"># Confirm it is running:</span>
$<span class="w"> </span>systemctl<span class="w"> </span>status<span class="w"> </span>autovnet
</code></pre></div>
<p>Follow the logs:
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>journalctl<span class="w"> </span>-u<span class="w"> </span>autovnet.service<span class="w"> </span>-f
</code></pre></div>
There will be a very large amount of output as the <code>autovnet</code> server initializes for the first time.</p>
<p>Eventually, you should see something like this:
<div class="highlight"><pre><span></span><code>...
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sockd_1<span class="w">  </span><span class="p">|</span><span class="w"> </span>New<span class="w"> </span>password:<span class="w"> </span>Retype<span class="w"> </span>new<span class="w"> </span>password:<span class="w"> </span>passwd:<span class="w"> </span>password<span class="w"> </span>updated<span class="w"> </span>successfully
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sockd_1<span class="w">  </span><span class="p">|</span><span class="w"> </span>sockd<span class="o">[</span><span class="m">1</span><span class="o">]</span>:<span class="w"> </span>warning:<span class="w"> </span>checkconfig<span class="o">()</span>:<span class="w"> </span>rotation<span class="w"> </span><span class="k">for</span><span class="w"> </span>external<span class="w"> </span>addresses<span class="w"> </span>is<span class="w"> </span><span class="nb">set</span><span class="w"> </span>to<span class="w"> </span>same-same,<span class="w"> </span>but<span class="w"> </span>the<span class="w"> </span>number<span class="w"> </span>of<span class="w"> </span>external<span class="w"> </span>addresses<span class="w"> </span>is<span class="w"> </span>only<span class="w"> </span>one,<span class="w"> </span>so<span class="w"> </span>this<span class="w"> </span>does<span class="w"> </span>not<span class="w"> </span>make<span class="w"> </span>sense
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sockd_1<span class="w">  </span><span class="p">|</span><span class="w"> </span>sockd<span class="o">[</span><span class="m">1</span><span class="o">]</span>:<span class="w"> </span>info:<span class="w"> </span>Dante/server<span class="o">[</span><span class="m">1</span>/1<span class="o">]</span><span class="w"> </span>v1.4.3<span class="w"> </span>running
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sshd_1<span class="w">   </span><span class="p">|</span><span class="w"> </span>Server<span class="w"> </span>listening<span class="w"> </span>on<span class="w"> </span><span class="m">0</span>.0.0.0<span class="w"> </span>port<span class="w"> </span><span class="m">2222</span>.
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sshd_1<span class="w">   </span><span class="p">|</span><span class="w"> </span>Server<span class="w"> </span>listening<span class="w"> </span>on<span class="w"> </span>::<span class="w"> </span>port<span class="w"> </span><span class="m">2222</span>.
autovnet<span class="o">[</span><span class="m">2132</span><span class="o">]</span>:<span class="w"> </span>autovnet.sshd_1<span class="w">   </span><span class="p">|</span><span class="w"> </span>Couldn<span class="err">&#39;</span>t<span class="w"> </span>create<span class="w"> </span>pid<span class="w"> </span>file<span class="w"> </span><span class="s2">&quot;/run/sshd.pid&quot;</span>:<span class="w"> </span>Permission<span class="w"> </span>denied
...
</code></pre></div></p>
<p>... and the logs should slow down or stop shortly after.</p>
<p>There might be some warnings or errors that don't really matter.</p>
<p>Don't be scared; if the server is still running and the logs eventually reach equilibrium, it's probably fine to continue.</p>
<p>This service takes care of starting the network simulation for you, and <code>autovnet</code> will start if you ever reboot the server.</p>
<p>You can also stop or restart this service with <code>systemctl</code>, if you ever need to.</p>
<h3 id="test-server-install">Test Server Install<a class="headerlink" href="#test-server-install" title="Permanent link">&para;</a></h3>
<p>Before continuing, you should verify that the <code>autovnet</code> server is working correctly by testing it locally.</p>
<p>On the autovnet server:
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>autovnet<span class="w"> </span>net<span class="w"> </span><span class="nb">test</span>
<span class="w"> </span>_______<span class="w"> </span>_<span class="w">     </span>_<span class="w"> </span>_______<span class="w">  </span>_____<span class="w">  </span>_<span class="w">    </span>_<span class="w"> </span>__<span class="w">   </span>_<span class="w"> </span>_______<span class="w"> </span>_______
<span class="w"> </span><span class="p">|</span>_____<span class="p">|</span><span class="w"> </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w">  </span><span class="se">\ </span><span class="w"> </span>/<span class="w">  </span><span class="p">|</span><span class="w"> </span><span class="se">\ </span><span class="w"> </span><span class="p">|</span><span class="w"> </span><span class="p">|</span>______<span class="w">    </span><span class="p">|</span>
<span class="w"> </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w"> </span><span class="p">|</span>_____<span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">    </span><span class="p">|</span>_____<span class="p">|</span><span class="w">   </span><span class="se">\/</span><span class="w">   </span><span class="p">|</span><span class="w">  </span><span class="se">\_</span><span class="p">|</span><span class="w"> </span><span class="p">|</span>______<span class="w">    </span><span class="p">|</span>

Hacking<span class="w"> </span>the<span class="w"> </span>planet...<span class="w">  </span><span class="o">[</span><span class="c1">####################################]  100%</span>
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>OK!
</code></pre></div></p>
<p>Note: In this test, all the packets are sent locally to the <code>autovnet</code> server, without touching your central firewall.</p>
<p>Therefore, <code>autovnet net test</code> on the <code>autovnet</code> <em>server</em> itself is a great way to verify that <code>autovnet</code> itself is working correctly and that your configuration.
* If <code>autovnet net test</code> passes on the server but fails on the clients, <strong>check your firewall rules / routing configuration!</strong></p>
<h4 id="re-generating-config">Re-Generating Config<a class="headerlink" href="#re-generating-config" title="Permanent link">&para;</a></h4>
<p><strong>Skip this section unless you need to regenerate your game configuration</strong></p>
<p><strong>If</strong> you ever need to regenerate the server-side config, you must:</p>
<ol>
<li><code>sudo systemctl restart autovnet</code></li>
<li>Re-distribute the config blob (see below) too all Red Teamers, since the creds will be re-genearted</li>
<li>Note: all previous credentials will be immediately revoked, and all active network connections using <code>autovnet</code> will drop</li>
</ol>
<h3 id="export-the-config">Export the Config<a class="headerlink" href="#export-the-config" title="Permanent link">&para;</a></h3>
<p>Next, we need to securely transfer our configuration (which includes passwords and private keys) to our trusted <code>autovnet</code> clients.</p>
<p>We can package, encrypt, and share our configuration blob in a single command!
* Like before, the first time you run the command, it will take a minute to start.</p>
<p>The encryption used is mega overkill, so it should stand up to any rogue players who happen to snag the blob while you are serving it.</p>
<p>It also provides integrity validation when a client downloads it, so any players will get obvious decrypt MAC errors if they have the wrong password.</p>
<p>The <code>Password:</code> and <code>import:</code> command below should be shared with Red Team players only.</p>
<p>The Red Teamers will run the <code>import:</code> command, and will be prompted for the password, which will be used to decrypt and install the <code>~/.autovnet/</code> config directory on their Kali machine</p>
<p>This command can take several minutes to become ready to accept connections.
Again, this is because <code>autovnet</code> intelligently builds system components the first time you attempt to access them.</p>
<p>See the example output below; the server will not accept your connection until you see the <code>Waiting for requests...</code> message</p>
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>autovnet<span class="w"> </span>config<span class="w"> </span><span class="nb">export</span><span class="w"> </span>--share
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Exported<span class="w"> </span>autovnet-config.etgz<span class="w"> </span><span class="p">|</span><span class="w"> </span>Password:<span class="w"> </span>Busy-Pumped-Routine
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>import:<span class="w"> </span>autovnet<span class="w"> </span>config<span class="w"> </span>import<span class="w"> </span>https://100.65.206.188/autovnet-config.etgz

<span class="o">[</span>*<span class="o">]</span><span class="w"> </span>Starting<span class="w"> </span>the<span class="w"> </span>share<span class="w"> </span><span class="o">(</span>please<span class="w"> </span><span class="nb">wait</span><span class="o">)</span>...
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>autovnet<span class="w"> </span>rtfm<span class="w"> </span>share<span class="w"> </span>shrill_door
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span><span class="o">=======================================</span>
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Sharing:<span class="w"> </span>/tmp/rtfm_share_l0e4fuax
<span class="w">   </span><span class="o">[</span>*<span class="o">]</span><span class="w"> </span>staged<span class="w">   </span>:<span class="w"> </span>/autovnet-config.etgz<span class="w"> </span><span class="o">(</span><span class="w"> </span><span class="nv">$HOME</span>/autovnet-config.etgz<span class="w"> </span><span class="o">)</span>
<span class="w">   </span><span class="o">[</span>*<span class="o">]</span><span class="w"> </span>download<span class="w"> </span>:<span class="w"> </span>autovnet<span class="w"> </span>rtfm<span class="w"> </span>download<span class="w"> </span>https://100.65.206.188/autovnet-config.etgz
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span><span class="o">=======================================</span>
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>http://100.65.206.188
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span><span class="o">=======================================</span>
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>https://100.65.206.188
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span><span class="o">=======================================</span>
Creating<span class="w"> </span>network<span class="w"> </span><span class="s2">&quot;rtfm_share_57352_35530_default&quot;</span><span class="w"> </span>with<span class="w"> </span>the<span class="w"> </span>default<span class="w"> </span>driver
Creating<span class="w"> </span>rtfm_share_57352_35530_file_server_1<span class="w"> </span>...<span class="w"> </span><span class="k">done</span>
Attaching<span class="w"> </span>to<span class="w"> </span>rtfm_share_57352_35530_file_server_1
file_server_1<span class="w">  </span><span class="p">|</span><span class="w"> </span><span class="m">2021</span>/12/09<span class="w"> </span><span class="m">00</span>:50:37<span class="w"> </span><span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Waiting<span class="w"> </span><span class="k">for</span><span class="w"> </span>requests...
</code></pre></div>
<p>Once you see this output, you can continue.</p>
<h2 id="client">Client<a class="headerlink" href="#client" title="Permanent link">&para;</a></h2>
<p>The client install is even easier.</p>
<p>All you need is to securely share the generated <code>import</code> command and password with all your Red Teamers (e.g. via chat, <code>gitlab</code>, or any other access controlled, out-of-band means)</p>
<p>Copy the generated command that your <code>autovnet</code> server printed.
This is just an example (from above):</p>
<div class="highlight"><pre><span></span><code>$<span class="w"> </span>autovnet<span class="w"> </span>config<span class="w"> </span>import<span class="w"> </span>https://100.65.206.188/autovnet-config.etgz
Config<span class="w"> </span>Password:<span class="w"> </span>Busy-Pumped-Routine
<span class="o">[</span>*<span class="o">]</span><span class="w"> </span>Unpacking<span class="w"> </span>config...
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>Imported<span class="w"> </span>config:<span class="w"> </span>~/.autovnet
</code></pre></div>
<p>If you get <code>connection refused</code>, make sure your <code>autovnet config export --share</code> command has reached the <code>Waiting for requests...</code> state, as shown above.</p>
<p>If you get no response at all / connection timeout, check your network configuration, firewall rules, and routes for <code>autovnet</code>.</p>
<ul>
<li>This is a problem for your network admin / the installer of the <code>autovnet</code> server</li>
</ul>
<h3 id="test-client-install">Test Client Install<a class="headerlink" href="#test-client-install" title="Permanent link">&para;</a></h3>
<p><code>autovnet</code> includes a test command that will verify that your configuration is valid and you can use the <em>autovnet server</em> to redirect packets on your behalf.</p>
<div class="highlight"><pre><span></span><code>autovnet<span class="w"> </span>net<span class="w"> </span><span class="nb">test</span>
<span class="w"> </span>_______<span class="w"> </span>_<span class="w">     </span>_<span class="w"> </span>_______<span class="w">  </span>_____<span class="w">  </span>_<span class="w">    </span>_<span class="w"> </span>__<span class="w">   </span>_<span class="w"> </span>_______<span class="w"> </span>_______
<span class="w"> </span><span class="p">|</span>_____<span class="p">|</span><span class="w"> </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w">  </span><span class="se">\ </span><span class="w"> </span>/<span class="w">  </span><span class="p">|</span><span class="w"> </span><span class="se">\ </span><span class="w"> </span><span class="p">|</span><span class="w"> </span><span class="p">|</span>______<span class="w">    </span><span class="p">|</span>
<span class="w"> </span><span class="p">|</span><span class="w">     </span><span class="p">|</span><span class="w"> </span><span class="p">|</span>_____<span class="p">|</span><span class="w">    </span><span class="p">|</span><span class="w">    </span><span class="p">|</span>_____<span class="p">|</span><span class="w">   </span><span class="se">\/</span><span class="w">   </span><span class="p">|</span><span class="w">  </span><span class="se">\_</span><span class="p">|</span><span class="w"> </span><span class="p">|</span>______<span class="w">    </span><span class="p">|</span>

Hacking<span class="w"> </span>the<span class="w"> </span>planet...<span class="w">  </span><span class="o">[</span><span class="c1">####################################]  100%</span>
<span class="o">[</span>+<span class="o">]</span><span class="w"> </span>OK!
</code></pre></div>
<p>Any errors here indicate a misconfiguration.</p>
<p>Cyber Range Admins: Remember that you also need to verify that traffic to and from Blue systems also behaves correctly.
See <a href="../../usage/">usage</a> for some example commands you can use to test end-to-end.</p>





                
              </article>
            </div>
          
          
        </div>
        
          <button type="button" class="md-top md-icon" data-md-component="top" hidden>
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13 20h-2V8l-5.5 5.5-1.42-1.42L12 4.16l7.92 7.92-1.42 1.42L13 8v12Z"/></svg>
  Back to top
</button>
        
      </main>
      
        <footer class="md-footer">
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-copyright">
  
  
    Made with
    <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
      Material for MkDocs
    </a>
  
</div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    
    
    <script id="__config" type="application/json">{"base": "../..", "features": ["search.suggest", "search.highlight", "navigation.instant", "navigation.tracking", "navigation.tabs", "navigation.tabs.sticky", "navigation.top", "navigation.expand", "toc.integrate", "toc.follow", "navigation.top", "content.code.copy"], "search": "../../assets/javascripts/workers/search.f886a092.min.js", "translations": {"clipboard.copied": "Copied to clipboard", "clipboard.copy": "Copy to clipboard", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.placeholder": "Type to start searching", "search.result.term.missing": "Missing", "select.version": "Select version"}}</script>
    
    
      <script src="../../assets/javascripts/bundle.aecac24b.min.js"></script>
      
    
  </body>
</html>